FROM 172.16.46.66:10043/base-service/report-base:x86_64-ubuntu_22-jre21-2.0.0
RUN mkdir -p /appdata/server
WORKDIR /appdata/server
## 将后端项目的 Jar 文件，复制到镜像中
COPY ./target/qms-server.jar app.jar

## 设置 TZ 时区
ENV TZ=Asia/Shanghai

# 暴露端口
EXPOSE 48205

## 启动后端项目
ENTRYPOINT ["java", "-Djava.security.egd=file:/dev/./urandom", "-jar", "app.jar"]
